"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AccordionStyle = exports.ItemStyle = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _Shared = require("../utils/Shared");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n\n    display: flex;\n    flex-direction: column;\n\n    & > header {\n      position: relative;\n      padding: ", ";\n      border-bottom-width: ", ";\n      border-bottom-style: ", ";\n      border-bottom-color: ", ";\n      color: ", ";\n\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n\n      ", ";\n\n      display: flex;\n      align-items: center;\n      cursor: pointer;\n\n      &:focus {\n        outline: 0;\n      }\n\n      .expansion-indicator {\n        position: absolute;\n        ", ": 1rem;\n      }\n    }\n\n    &.disabled > header {\n      color: ", ";\n      cursor: default;\n    }\n\n    &:first-child {\n      border-top-left-radius: ", ";\n      border-top-right-radius: ", ";\n    }\n    &:last-child {\n      border-bottom-left-radius: ", ";\n      border-bottom-right-radius: ", ";\n\n      &.collapsed > header {\n        border-bottom: none;\n      }\n    }\n    &:not(.collapsed) + & > header {\n      border-top-width: ", ";\n      border-top-style: ", ";\n      border-top-color: ", ";\n    }\n    .item-body {\n      flex: 1;\n      -ms-flex: 1 1 auto;\n      overflow: auto;\n      padding: ", ";\n      position: relative;\n    }\n    .collapsed {\n      overflow: hidden;\n      max-height: 0;\n      transition: all 0.5s cubic-bezier(0, 1, 0.3, 1) -100ms;\n    }\n    .expanded {\n      max-height: 1500px;\n      transition: all 0.5s cubic-bezier(1, 0.15, 1, 1);\n    }\n  "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  ", "\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    display: block;\n    box-shadow: ", ";\n    border-radius: ", ";\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var AccordionStyle = _styledComponents["default"].div(_templateObject(), function (_ref) {
  var theme = _ref.theme;
  return (0, _styledComponents.css)(_templateObject2(), theme.accordionShadow, theme.accordionBorderRadius);
});

exports.AccordionStyle = AccordionStyle;

var ItemStyle = _styledComponents["default"].div(_templateObject3(), function (_ref2) {
  var theme = _ref2.theme;
  return (0, _styledComponents.css)(_templateObject4(), theme.accordionItemBackgroundColor, theme.accordionItemTextColor, theme.accordionItemTextFontFamily, theme.accordionItemTextFontSize, theme.accordionItemTextFontWeight, theme.accordionItemTextLineHeight, theme.accordionPadding, theme.accordionHeaderBorderWidth, theme.accordionHeaderBorderStyle, theme.accordionHeaderBorderColor, theme.accordionHeaderTextColor, theme.accordionHeaderTextFontFamily, theme.accordionHeaderTextFontSize, theme.accordionHeaderTextFontWeight, theme.accordionHeaderTextLineHeight, _Shared.getHeadings, theme.dir === 'rtl' ? 'left' : 'right', theme.accordionHeaderDisabledTextColor, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionHeaderBorderWidth, theme.accordionHeaderBorderStyle, theme.accordionHeaderBorderColor, theme.accordionPadding);
});

exports.ItemStyle = ItemStyle;