"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  FlipCard: true,
  RevealCard: true
};
Object.defineProperty(exports, "FlipCard", {
  enumerable: true,
  get: function get() {
    return _FlipCard["default"];
  }
});
Object.defineProperty(exports, "RevealCard", {
  enumerable: true,
  get: function get() {
    return _RevealCard["default"];
  }
});

var _Card = require("./Card");

Object.keys(_Card).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _Card[key];
    }
  });
});

var _FlipCard = _interopRequireDefault(require("./FlipCard"));

var _RevealCard = _interopRequireDefault(require("./RevealCard"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }