import styled, { css } from 'styled-components';
export default styled.div`
  ${({
  theme,
  status
}) => css`
    font-size: ${theme.iconFontSize};
    line-height: ${theme.iconLineHeight};
    width: ${theme.iconWidth};
    height: ${theme.iconHeight};
    display: inline-block;
    svg {
      vertical-align: ${theme.iconSvgVerticalAlign};
    }
    ${status && `color: ${theme[`icon${status}Color`]};`}
  `}
`;